package com.example;

import org.junit.runner.JUnitCore;
import org.junit.runner.Result;
import org.junit.runner.notification.Failure;

public class TestRunner {
    public static void main(String[] args) {
        Result result = JUnitCore.runClasses(OddNumberCheckerTest.class);

        for (Failure failure: result.getFailures()){
            System.out.println(failure.toString());
        }
        System.out.println("ALl test passed: "+ result.wasSuccessful());
        System.out.println("Failure count: " + result.getFailureCount());
        
    }
}
